
#ifdef TESTS_BUILD
#include <catch.hpp>
#include "../src/Script.hpp"

using namespace Porygon;

TEST_CASE( "Simple String", "[integration]" ) {
    auto script = Script::Create("\"foo bar\"");
    REQUIRE(!script->Diagnostics -> HasErrors());
    auto result = script->Evaluate();
    REQUIRE(result->EvaluateString() == u"foo bar");
    delete script;
}

TEST_CASE( "String Concat", "[integration]" ) {
    auto script = Script::Create(R"("foo" + "bar")");
    REQUIRE(!script->Diagnostics -> HasErrors());
    auto result = script->Evaluate();
    REQUIRE(result->EvaluateString() == u"foobar");
    delete script;
}

TEST_CASE( "String Concat 2", "[integration]" ) {
    auto script = Script::Create("'foo' + 'bar'");
    REQUIRE(!script->Diagnostics -> HasErrors());
    auto result = script->Evaluate();
    REQUIRE(result->EvaluateString() == u"foobar");
    delete script;
}


#endif

